//基本数值为装备编号，id为图包编号,level为身体判定等级，up为进阶标准（注意，进阶即使只有一个变化，也需要全部文件更换）
//1: {'id': 1, 'level':50, 'bodyType':[1, 2, 3, 4], 'cloth':[1, 2, 3, 4], 'skirt':[1, 2, 3, 4], 'cape':[1, 2, 3, 4], 'up':['v1', 'v2']},
//'v99'为契约反噬模式，是剧情专用模式。
var $cloth = {
	10: {'id': 2, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[2, 0], 'hair':[2, 3], 'cloth':[99], 'skirt':[], 'cape':[], 'up':[], 'm':[0, 2]},
	20: {'id': 3, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[1, 0], 'hair':[2, 3], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[0, 3]},
	26: {'id': 4, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[1, 1], 'hair':[2, 3], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[0, 3]},
	27: {'id': 5, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[1, 1], 'hair':[2, 3], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[0, 2]},
	30: {'id': 6, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[1, 5], 'hair':[2, 3], 'cloth':[2, 4, 99], 'skirt':[], 'cape':[], 'up':['v1'], 'm':[0, 3]},
	34: {'id': 9, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[1, 1], 'hair':[], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':['v1'], 'm':[0, 9]},
	40: {'id': 7, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6], 'tile':[2, 1], 'hair':[2, 3], 'cloth':[99], 'skirt':[], 'cape':[], 'up':[], 'm':[0, 3]},
	45: {'id': 8, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6, 8], 'tile':[2, 2], 'hair':[2, 3], 'cloth':[1, 2, 3, 4, 8, 99], 'skirt':[8, 99], 'cape':[3, 4, 8, 99], 'ucape':[8, 99], 'up':['v99'], 'm':[0, 4]},
	50: {'id': 11, 'level':50, 'bodyType':[1, 2, 3, 4], 'cloth':[1, 2, 3, 4], 'tile':['c3', 2], 'skirt':[], 'cape':[], 'up':[], 'm':[0, 5]},
	57: {'id': 13, 'level':70, 'bodyType':[2, 1, 3, 4, 5, 6, 7, 8, 9, 10, 11], 'cloth':[8, 9, 99], 'skirt':[8, 9, 99], 'ucape':[8, 9, 99], 'up':['v1'], 'm':[0, 6]},
	64: {'id': 25, 'level':50, 'bodyType':[4, 1, 2, 3, 5, 6, 7, 8, 9, 10, 11], 'tile':[3, 2], 'cloth':[4, 99], 'cape':[4, 99], 'up':[], 'm':[0, 12]},
	65: {'id': 15, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c3', 0], 'cloth':[1, 2, 3, 4], 'skirt':[], 'cape':[], 'up':[], 'm':[0, 7]},
	69: {'id': 18, 'level':90, 'bodyType':[6], 'tile':['b2', 6], 'hair':[2], 'cloth':[6], 'skirt':[6], 'up':['v1'], 'm':[0, 8]},
	70: {'id': 17, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['b1', 0], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[0, 8]},
	77: {'id': 19, 'level':90, 'bodyType':[6], 'tile':[2, 3], 'cloth':[6], 'skirt':[6], 'up':['v1', 'v2', 'v3', 'v4', 'v5'], 'm':[0, 9]},
	88: {'id': 23, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[3, 0], 'hair':[2], 'cloth':[99], 'skirt':[99], 'up':[], 'm':[0, 10]},
	81: {'id': 24, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[3, 1], 'hair':[2], 'cloth':[3, 4, 99], 'skirt':[99], 'up':[], 'm':[0, 11]},
	95: {'id': 26, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], 'tile':['b3', 1], 'hair':[], 'cloth':[99], 'cape':[99], 'ucape':[99], 'cst1':45, 'up':['v1', 'v2'], 'm':[0, 12]},
	101: {'id': 51, 'level':50, 'bodyType':[1, 2, 3, 4, 5], 'tile':['c1', 0], 'hair':[], 'cloth':[1, 2, 3, 4, 5], 'skirt':[], 'cape':[], 'up':[], 'm':[1, 11]},
	102: {'id': 52, 'level':50, 'bodyType':[1, 2, 3, 4, 5], 'tile':['c1', 1], 'hair':[], 'cloth':[1, 2, 3, 4, 5], 'skirt':[], 'cape':[], 'up':[], 'm':[1, 11]},
	106: {'id': 53, 'level':50, 'bodyType':[1, 2, 3], 'tile':['c1', 2], 'hair':[], 'cloth':[2, 99], 'skirt':[99], 'cape':[], 'up':['v1'], 'm':[1, 12]},
	113: {'id': 55, 'level':50, 'bodyType':[1, 2, 3, 4, 5], 'tile':['c1', 4], 'hair':[], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':['v1'], 'm':[1, 13]},
	118: {'id': 57, 'level':50, 'bodyType':[1, 2, 3, 4, 5], 'tile':['c1', 5], 'hair':[], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 14]},
	126: {'id': 59, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c1', 6], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 15]},
	127: {'id': 60, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c1', 6], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[], 'cape':[], 'up':[], 'm':[1, 15]},
	135: {'id': 61, 'level':50, 'bodyType':[3, 1, 2, 4], 'tile':['c1', 7], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 16]},
	139: {'id': 62, 'level':50, 'bodyType':[2, 1, 3, 4], 'tile':['c1', 7], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 16]},
	143: {'id': 63, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c2', 5], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[], 'cape':[], 'up':[], 'm':[1, 5]},
	150: {'id': 65, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6], 'tile':['c2', 0], 'hair':[], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':['v1'], 'm':[1, 6]},
	158: {'id': 66, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c2', 1], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[1, 2, 3, 4], 'cape':[], 'up':[], 'm':[1, 6]},
	165: {'id': 67, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c2', 2], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[1, 2, 3, 4], 'cape':[], 'up':[], 'm':[1, 7]},
	171: {'id': 69, 'level':50, 'cl':1, 'bodyType':[1, 2, 3, 4, 5, 8, 9], 'tile':['c2', 6], 'cloth':[3, 4, 5, 99], 'skirt':[], 'cape':[3, 4, 5, 99], 'up':['v1'], 'm':[1, 8]},
	185: {'id': 72, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6], 'tile':['c3', 1], 'cloth':[1, 2, 99], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 9]},
	186: {'id': 71, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c3', 1], 'cloth':[1, 2, 3, 4], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 9]},
	191: {'id': 73, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6], 'tile':['c3', 3], 'cloth':[99], 'skirt':[99], 'cape':[2], 'up':[], 'm':[1, 10]},
	201: {'id': 101, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c2', 4], 'hair':[], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 24]},
	212: {'id': 105, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['y1', 2], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[], 'cape':[], 'up':[], 'm':[1, 26]},
	226: {'id': 113, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], 'tile':['c2', 4], 'hair':[], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 30]},
	222: {'id': 106, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[2, 1], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[], 'cape':[], 'up':[], 'm':[1, 26]},
	236: {'id': 108, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c4', 7], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[1, 2, 3, 4], 'cape':[], 'up':[], 'm':[1, 29]},
	239: {'id': 109, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c5', 0], 'hair':[], 'cloth':[4, 99], 'skirt':[99], 'ucape':[99], 'up':['v1', 'v2', 'v3'], 'm':[1, 29]},
	245: {'id': 110, 'level':70, 'bodyType':[9, 1, 2, 3, 4, 8], 'tile':['b1', 3], 'hair':[], 'cloth':[1, 2, 3, 4, 8, 9], 'skirt':[], 'cape':[8, 9], 'up':[], 'm':[1, 15]},
	249: {'id': 111, 'level':70, 'bodyType':[11, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10], 'tile':['b1', 3], 'hair':[], 'cloth':[99], 'skirt':[], 'cape':[10, 11], 'up':[], 'm':[1, 15]},
	253: {'id': 116, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], 'tile':['c2', 4], 'hair':[], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 30]},
	302: {'id': 22, 'level':75, 'bodyType':[4, 8, 10], 'tile':[1, 4], 'hair':[2, 3], 'cloth':[10, 99], 'skirt':[], 'up':[], 'm':[0, 18]},
	304: {'id': 27, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6, 7, 10, 11], 'tile':[2, 4], 'hair':[2, 3], 'cloth':[6, 10, 11, 99], 'skirt':[99], 'up':[], 'm':[0, 17]},
	312: {'id': 28, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], 'tile':[4, 0], 'cloth':[99], 'skirt':[99], 'up':[], 'm':[0, 18]},
	317: {'id': 29, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], 'tile':[5, 0], 'cloth':[99], 'cape':[99], 'up':['v1'], 'm':[0, 19]},
	330: {'id': 31, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], 'tile':['b5', 0], 'cloth':[99], 'skirt':[99], 'ucape':[99], 'up':[], 'm':[0, 21]},
	335: {'id': 14, 'level':70, 'bodyType':[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12], 'tile':[1, 4], 'hair':[2, 3], 'cloth':[4, 8, 10, 12, 99], 'skirt':[], 'up':[], 'm':[0, 22]},
	401: {'id': 75, 'level':50, 'bodyType':[1, 2, 3, 4, 6, 7, 10], 'hair':[], 'cloth':[1, 2, 3, 99], 'skirt':[], 'cape':[], 'up':[], 'm':[1, 11]},
	405: {'id': 77, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c2', 3], 'cloth':[1, 2, 3, 4], 'skirt':[1, 2, 3, 4], 'cape':[], 'ucape':[], 'up':['v1'], 'm':[1, 12]},
	406: {'id': 78, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c2', 3], 'cloth':[1, 2, 3, 4], 'skirt':[1, 2, 3, 4], 'cape':[], 'ucape':[], 'up':['v1'], 'm':[1, 12]},
	412: {'id': 79, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11], 'cloth':[1, 2, 3, 4, 99], 'skirt':[1, 3, 99], 'cape':[1, 2, 3, 4, 99], 'ucape':[99], 'up':['v1'], 'm':[1, 13]},
	421: {'id': 81, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c3', 7], 'cloth':[1, 2, 3, 4], 'skirt':[3, 4, 99], 'up':[], 'm':[1, 14]},
	425: {'id': 83, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c4', 0], 'cloth':[4, 99], 'skirt':[99], 'up':['v1'], 'm':[1, 15]},
	426: {'id': 84, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c4', 1], 'cloth':[3, 4, 99], 'skirt':[99], 'up':['v1'], 'm':[1, 15]},
	433: {'id': 85, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c3', 5], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 16]},
	440: {'id': 89, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c4', 3], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[], 'cape':[], 'up':[], 'm':[1, 6]},
	445: {'id': 91, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[1, 5], 'hair':[], 'cloth':[2, 4, 99], 'skirt':[2, 99], 'cape':[], 'up':[], 'm':[1, 7]},
	451: {'id': 93, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6, 10, 11], 'tile':['c4', 6], 'hair':[], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 8]},
	457: {'id': 95, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6, 10, 11], 'tile':['c5', 1], 'hair':[], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 9]},
};

//大乳+b
var $clothBreast = [2, 3, 4, 6, 7, 8, 9, 11, 13, 14, 15, 17, 18, 19, 22, 23, 24, 26, 29, 31, 51, 52, 53, 55, 57, 59, 60, 61, 62, 63, 65, 66, 67, 69, 70, 71, 72, 73, 75, 77, 78, 81, 83, 84, 85, 89, 91, 93, 95, 101, 105, 106, 108, 109, 110, 111, 113];

//大肚+g，能大肚的一定支持大乳所以+bg
var $clothGravidity = [2, 3, 4, 6, 7, 8, 9, 11, 13, 14, 15, 17, 18, 19, 23, 24, 27, 29, 31, 51, 52, 53, 55, 57, 59, 60, 61, 62, 63, 65, 66, 67, 69, 70, 71, 72, 73, 75, 77, 78, 79, 81, 83, 84, 85, 89, 91, 93, 95, 101, 105, 106, 108, 109, 110, 111];
//无视大肚
var $clothNoGravidity = [10, 26, 28, 116];

//超大肚+g2，能大肚的一定支持大乳所以+bg2
var $clothGravidity2 = [2, 29, 69, 70];
//无视超大肚
var $clothNoGravidity2 = [10, 26, 28, 116];

//暴露外套
var $noCloth = [27, 28, 29, 45, 57, 69, 70, 91, 106, 113, 116, 185, 201, 335];

//套装列表
//weapon,shield,head,special,cloth,shirt',glove,shoe,item1,item2,artifact,vagin,pussy,ass
//1     ,2     ,3   ,4      ,5    ,6     ,7    ,8   ,9    ,10   ,11      ,12   ,13   ,14
var $systemCloth = [
	null,
	{'id': 1, 'name': '公主套装', 'value': [0,0,25,0,20,21,22,23,0,24,1,0,0,0]},
	{'id': 2, 'name': '魅魔套装', 'value': [0,0,0,0,10,11,12,13,0,14,1,15,0,16]},
	{'id': 3, 'name': '魔发套装', 'value': [0,0,0,0,40,41,42,43,0,0,1,0,0,0]},
	{'id': 4, 'name': '亡灵套装', 'value': [0,0,0,0,45,46,47,48,0,0,1,0,49,0]},
	{'id': 5, 'name': '人型套装', 'value': [0,0,0,0,77,0,0,0,0,0,1,0,0,0]},
	{'id': 6, 'name': '皇虫套装', 'value': [0,0,99,0,95,100,97,98,0,0,1,0,96,0]},
	{'id': 7, 'name': '蛇女套装', 'value': [0,0,308,0,304,303,306,307,0,305,1,0,309,0]},
	{'id': 8, 'name': '花妖套装', 'value': [0,0,314,0,312,0,313,0,0,0,1,0,315,0]},
	{'id': 9, 'name': '', 'value': []},
	{'id': 10, 'name': '', 'value': []},
	{'id': 11, 'name': '', 'value': []},
	{'id': 12, 'name': '', 'value': []},
	{'id': 13, 'name': '', 'value': []},
	{'id': 14, 'name': '', 'value': []},
	{'id': 15, 'name': '', 'value': []},
	{'id': 16, 'name': '', 'value': []},
	{'id': 17, 'name': '', 'value': []},
	{'id': 18, 'name': '', 'value': []},
	{'id': 19, 'name': '', 'value': []},
	{'id': 20, 'name': '', 'value': []},
	{'id': 21, 'name': '睡衣套装', 'value': [0,0,0,0,26,0,0,0,0,0,1,0,0,0]},
	{'id': 22, 'name': '女仆套装', 'value': [0,0,33,0,30,31,0,32,0,0,1,0,0,0]},
	{'id': 23, 'name': '骑士套装', 'value': [0,0,89,0,88,84,91,92,0,90,1,0,0,0]},
	{'id': 24, 'name': '魔导士套装', 'value': [24,0,82,0,81,84,85,86,0,83,1,0,0,0]},
	{'id': 25, 'name': '亚巴顿女王套装', 'value': [0,0,320,0,317,316,318,319,0,0,1,0,321,0]},
	{'id': 26, 'name': '蜘蛛女王套装', 'value': [110,0,0,0,249,246,250,0,0,248,1,0,0,0]},
	{'id': 27, 'name': '', 'value': []},
	{'id': 28, 'name': '', 'value': []},
	{'id': 29, 'name': '', 'value': []},
	{'id': 30, 'name': '', 'value': []},
	{'id': 31, 'name': '女王礼服', 'value': [0,0,328,0,330,331,332,333,0,329,1,0,0,0]},
	{'id': 32, 'name': '婚纱', 'value': [15,0,67,0,65,0,0,66,0,0,1,0,0,0]},
];